Subject: Re: [PATCH 0/2] Ensure zlib version is printed by git-version(1)

From: Patrick Steinhardt <[email-masked]>
Date: Fri, 7 Mar 2025 15:20:48 +0100

On Fri, Mar 07, 2025 at 03:18:06PM +0100, Toon Claes wrote:
> I was trying to benchmark the difference between using zlib and zlib-ng.
> To be sure I was testing the correct version, I was interested if
> git-version(1) would tell which zlib library it uses. After some digging
> I saw it should be printing the zlib version number, but on my machine
> it wasn't.
> 
> I discovered a regression caused by 41f1a8435a (git-compat-util: move
> include of "compat/zlib.h" into "git-zlib.h", 2025-01-28). In the first
> commit I'm addressing that regression.
> 
> But I've noticed building against zlib-ng directly still didn't print
> the zlib version. This issue is resolved in the second commit.

I've already reviewed the change internally and it looked obviously good
to me. Thanks for finding, fixing and improving this!

Patrick